﻿using System.Collections;
using System.Collections.Generic;
using UnityEngine.SceneManagement;
using UnityEngine;
using UnityEngine.UI;
using UnityEngine.EventSystems;

public class AdvButton : EventTrigger {
    private Text txt;
    private ButtonLink bLink;
    private Image img;
    private CanvasGroup myCanvas;
    private Color textSlc;
    private Color textDeslc;
    private Color deslcColor;
    private Color slcColor;
    private TitleSelect myControl;
    private CanvasGroup nextCanvas;
    private int nextScenceNum = -1;
	// Use this for initialization
	void Start () {
        bLink = GetComponent<ButtonLink>();
        textSlc = bLink.textSlc;
        textDeslc = bLink.textDeslc;
        deslcColor = bLink.deslcColor;
        slcColor = bLink.slcColor;
        nextCanvas = bLink.nextCanvas;
        nextScenceNum = bLink.nextScenceNum;
        img = GetComponent<Image>();
        txt = GetComponentInChildren<Text>();
        myCanvas = GetComponentInParent<CanvasGroup>();
        img.color = deslcColor;
        myControl = GetComponentInParent<TitleSelect>();
        
    }
	


    public override void OnPointerEnter(PointerEventData data)
    {
        img.color = slcColor;
        txt.color = textSlc;
    }

    public override void OnPointerExit(PointerEventData data)
    {
        img.color = deslcColor;
        txt.color = textDeslc;
    }

    public override void OnPointerClick(PointerEventData eventData)
    {
        myControl.swapCanvas(myCanvas, nextCanvas);
        if (nextScenceNum != -1)
        {
            SceneManager.LoadScene(nextScenceNum);
        }
    }
}
