﻿using System.Collections;
using System.Collections.Generic;
using UnityEngine;

public class BaseCell : CubeCell {
    public readonly int maxPeople;
    public readonly int power;
    public readonly int people;
    public readonly int range;
    bool active;

    private int intialPower = 15;
    private int intialPeople = 10;
    private int intialRange = 2;

    public BaseCell (int x, int y, int z) : base(x,y,z,TileType.BASE)
    {
        range = intialRange;
        maxPeople = intialPeople;
        power = intialPower;
        people = maxPeople;
        active = false;
    }

    public BaseCell (Vector3 v) : base(v, TileType.BASE)
    {
        range = intialRange;
        maxPeople = intialPeople;
        power = intialPower;
        people = maxPeople;
        active = false;
    }
    public void setActive(bool active)
    {
        this.active = active;
    } 

    
    private class Upgrade
    {
        public readonly int power;
        public readonly int people;
        public readonly int maxPeople;
        public readonly int range;
        public readonly int rate;
        public readonly int guns;
        public Upgrade (int pow, int peep, int maxPeep, int rng, int rt, int g)
        {
            power = pow;
            people = peep;
            maxPeople = maxPeep;
            range = rng;
            rate = rt;
            guns = g;
        }
       
    }

    private class House : Upgrade
    {
        public House(): base(-10,0,20,0, 0, 0)
        {

        }
    }

    private class Booster : Upgrade
    {
        public Booster() : base(-10, -5, 0, 2, 0,0 )
        {

        }
    }

    private class Gun : Upgrade
    {
        public Gun() : base(-10, -10, 0, 0, 0, 1)
        {

        }
    }

    private class Gen : Upgrade
    {
        public Gen() : base(20, -5, 0, 0, 0, 0)
        {

        }
    }

    private class Farm : Upgrade
    {
        public Farm() : base(0, -10, 0, 0, 1, 0)
        {

        }
    }
}
