﻿using System.Collections;
using System.Collections.Generic;
using UnityEngine;

public class GameController : MonoBehaviour {
    public GameObject water;
    public GameObject mountain;
    public GameObject hill;
    public GameObject plains;
    public GameObject forest;
    public GameObject tower;
    public List<Vector3> bases;

    private Map map;
    public int row = 50;
    public int col = 20;

    private GameObject cells;
	// Use this for initialization
	void Start () {
        bases = new List<Vector3>();
        map = new Map(row, col);
        drawMap();
	}

    private void drawMap()
    {
        for (int i = 0; i < row; i++)
        {
            for (int j = 0; j < col; j++)
            {
                Vector3 pos = new Vector3();
                if (i % 2 == 0) {
                    pos = new Vector3(j * CubeCell.height , i * CubeCell.width *.75f, 0);
                }
                else
                {
                    
                    pos = new Vector3( (.5f+j) * CubeCell.height,  i * CubeCell.width*.75f, 0);
                }
                CubeCell cube = map.getRect(i, j);
                switch(cube.getTile()) {
                    case TileType.WATER:
                        Instantiate(water, pos, Quaternion.identity);
                        break;
                    case TileType.MOUNTAIN:
                        Instantiate(mountain, pos, Quaternion.identity);
                        break;
                    case TileType.HILL:
                        Instantiate(hill, pos, Quaternion.identity);
                        break;
                    case TileType.PLAINS:
                        Instantiate(plains, pos, Quaternion.identity);
                        break;
                    case TileType.FOREST:
                        Instantiate(forest, pos, Quaternion.identity);
                        break;
                    case TileType.BASE:
                        {
                            Instantiate(tower, pos, Quaternion.identity);
                            bases.Add(pos);
                            //Debug.Log(bases.Count + " fuck psyonix");
                        }
                        break;
                    default:
                        print("Error");
                        break;
                }
            }
        }
    }
 	// Update is called once per frame
	void Update () {
    }

    private Vector3 mouseToWorld() {
        Vector3 mosPos = Input.mousePosition;
        mosPos.z = -Camera.main.transform.position.z;
        return Camera.main.ScreenToWorldPoint(mosPos);
    }

}
