﻿using UnityEngine;
using System.Collections;
using UnityEngine.EventSystems;


public class TitleSelect : MonoBehaviour {
    public float idleTime = 10;
    private float timer;
    private CanvasGroup[] menus;
    private Animator bgAnim;
    private EventSystem evSys;
    private FadeText fadeText;
    public SpriteRenderer bg;
    public Transform bgTrans;



    Vector3 lastMouse;
	// Use this for initialization
	void Start () {
        evSys = EventSystem.current;
        menus = GetComponentsInChildren<CanvasGroup>();
        for (int i = 1; i < menus.Length; i++)
        {
            menus[i].gameObject.SetActive(false);
        }
        timer = 0;
        lastMouse = Input.mousePosition;
        bgAnim = bg.gameObject.GetComponent<Animator>();
        fadeText = GetComponentInChildren<FadeText>();
        float worldScreenHeight = Camera.main.orthographicSize * 2;
        float scale = worldScreenHeight / bg.sprite.bounds.size.y;
            bgTrans.localScale = 1.43f * new Vector3(scale, scale, 1);
        //bgTrans.position = Camera.main.transform.position + new Vector3(0, -1, 10);
    }

    

    public void toggle(GameObject disableMe, GameObject enableMe)
    {
        if (enableMe != null)
        {
            if (disableMe.activeInHierarchy)
            {
                disableMe.SetActive(false);
                enableMe.SetActive(true);
            }
            else
            {
                enableMe.SetActive(false);
                disableMe.SetActive(true);
            }
        }
        
    }

    // Update is called once per frame
    void Update () {
        if (Input.anyKeyDown && evSys.currentSelectedGameObject == null)
        {
            goToMainMenu();
        }

        if (Input.anyKeyDown || lastMouse != Input.mousePosition)
        {
            timer = 0;
        }
            
        if(timer > idleTime && evSys.currentSelectedGameObject != null)
        {
            goToTitle();
        }
        timer += Time.deltaTime;
        lastMouse = Input.mousePosition;
    }
    void goToMainMenu()
    {
        menus[0].alpha = 0;
        activate(menus[1]);
        evSys.SetSelectedGameObject(menus[1].gameObject.GetComponentInChildren<AdvButton>().gameObject);
        bg.enabled = false;
    }

    void goToTitle()
    {
        evSys.SetSelectedGameObject(null);
        menus[0].alpha = 1;
        for (int i = 1; i<menus.Length; i++)
        {
            menus[i].gameObject.SetActive(false);
        }
        bgAnim.SetTrigger("Restart");
        fadeText.reset();
        bg.enabled = true;
    }

   public void swapCanvas(CanvasGroup start, CanvasGroup finish)
    {
        toggle(start.gameObject, finish.gameObject);
    }


    void activate(CanvasGroup canvas)
    {
        canvas.gameObject.SetActive(true);
    }

    void deactivate(CanvasGroup canvas)
    {
        canvas.gameObject.SetActive(false);
        evSys.SetSelectedGameObject(canvas.gameObject.GetComponentInChildren<AdvButton>().gameObject);
    }
}
